View This No SQL System Resource Runtime

get

/management/weblogic/{version}/serverRuntime/noSQLServiceRuntime/noSQLSystemResourceRuntimes/{name}

View this no SQL system resource runtime.

Request

Path Parameters
Query Parameters
  • The 'excludeFields' query parameter is used to restrict which fields are returned in the response. It is a comma separated list of field names. If present, only fields whose name is not on the list will be returned. If not present, all fields are returned (unless the 'fields' query parameter is specified). Note: 'fields' must not be specified if 'excludeFields' is specified.
  • The 'excludeLinks' query parameter is used to restrict which links are returned in the response. It is a comma separated list of link relationship names. If present, only links whose relationship name is not on the list will be returned. If not present, all links are returned (unless the 'links' query parameter is specified). Note: 'links' must not be specified if 'excludeLinks' is specified.
  • The 'fields' query parameter is used to restrict which fields are returned in the response. It is a comma separated list of field names. If present, only fields with matching names are returned. If not present, all fields are returned (unless the 'excludeFields' query parameter is specified). Note: 'excludeFields' must not be specified if 'fields' is specified.
  • The 'links' query parameter is used to restrict which links are returned in the response. It is a comma separated list of link relationship names. If present, only links with matching relationship names are returned. If not present, all links are returned (unless the 'excludeLinks' query parameter is specified). Note: 'excludeLinks' must not be specified if 'links' is specified.
Security
Back to Top

Response

Supported Media Types

200 Response

Returns this no SQL system resource runtime.

Body ()
Root Schema : No SQL System Resource Runtime
Type: object
Show Source
  • Read Only: true

    Returns the number of currently active provider runtimes attributed to this resource. Activating a compatible provider-property update drains and closes runtimes from the prior configuration generation; subsequent calls create replacement runtimes lazily.

  • Read Only: true

    Returns the Jakarta Data database type from the currently server-applied descriptor generation.

  • Read Only: true

    Returns the descriptor file for the currently server-applied NoSQL system resource generation.

  • Read Only: true

    Returns the total number of failed provider runtime creation attempts for this resource.

  • Read Only: true

    Returns a diagnostic message for the most recent provider runtime creation failure, or null if none has occurred.

  • Read Only: true

    Returns the time of the most recent provider runtime creation failure, in milliseconds since the epoch, or 0 if none has occurred.

  • Read Only: true

    Returns the time the most recent provider runtime was created, in milliseconds since the epoch, or 0 if none has been created.

  • Read Only: true

    The name of this configuration. WebLogic Server uses an MBean to implement and persist the configuration.

    Constraints

    • unharvestable
  • Read Only: true

    Returns the provider name from the currently server-applied descriptor generation.

  • Read Only: true

    Returns the total number of provider runtimes closed for this resource.

  • Read Only: true

    Returns the lifecycle state of the currently server-applied NoSQL system resource generation.

  • Read Only: true

    Returns the total number of provider runtimes successfully created for this resource.

  • Read Only: true

    Returns the type of the MBean.

    Constraints

    • unharvestable
Back to Top